/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Embassy
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Embassy {
  @SerializedName("label")
  private String label = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("type")
  private String type = null;

  @SerializedName("address")
  private String address = null;

  @SerializedName("desc")
  private String desc = null;

  @SerializedName("phone_number")
  private String phoneNumber = null;

  @SerializedName("website")
  private String website = null;

  @SerializedName("email")
  private String email = null;

  public Embassy label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label of this Embassy or Consulate. Ex :\&quot;Brazil - Embassy\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Label of this Embassy or Consulate. Ex :\"Brazil - Embassy\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Embassy country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Country of this Embassy or Consulate.
   * @return country
  **/
  @ApiModelProperty(value = "Country of this Embassy or Consulate.")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Embassy type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Type. Ex : \&quot;embassy\&quot; or \&quot;consulate\&quot; or \&quot;high_commission\&quot;
   * @return type
  **/
  @ApiModelProperty(value = "Type. Ex : \"embassy\" or \"consulate\" or \"high_commission\"")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Embassy address(String address) {
    this.address = address;
    return this;
  }

   /**
   * Address. Ex : \&quot;Carrera 7 #114-33...\&quot;
   * @return address
  **/
  @ApiModelProperty(value = "Address. Ex : \"Carrera 7 #114-33...\"")
  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Embassy desc(String desc) {
    this.desc = desc;
    return this;
  }

   /**
   * Description of this Embassy or Consulate.
   * @return desc
  **/
  @ApiModelProperty(value = "Description of this Embassy or Consulate.")
  public String getDesc() {
    return desc;
  }

  public void setDesc(String desc) {
    this.desc = desc;
  }

  public Embassy phoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
    return this;
  }

   /**
   * Phone number of this Embassy or Consulate.
   * @return phoneNumber
  **/
  @ApiModelProperty(value = "Phone number of this Embassy or Consulate.")
  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public Embassy website(String website) {
    this.website = website;
    return this;
  }

   /**
   * Website of this Embassy or Consulate.
   * @return website
  **/
  @ApiModelProperty(value = "Website of this Embassy or Consulate.")
  public String getWebsite() {
    return website;
  }

  public void setWebsite(String website) {
    this.website = website;
  }

  public Embassy email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Contact email of this Embassy or Consulate.
   * @return email
  **/
  @ApiModelProperty(value = "Contact email of this Embassy or Consulate.")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Embassy embassy = (Embassy) o;
    return Objects.equals(this.label, embassy.label) &&
        Objects.equals(this.country, embassy.country) &&
        Objects.equals(this.type, embassy.type) &&
        Objects.equals(this.address, embassy.address) &&
        Objects.equals(this.desc, embassy.desc) &&
        Objects.equals(this.phoneNumber, embassy.phoneNumber) &&
        Objects.equals(this.website, embassy.website) &&
        Objects.equals(this.email, embassy.email);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, country, type, address, desc, phoneNumber, website, email);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Embassy {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    desc: ").append(toIndentedString(desc)).append("\n");
    sb.append("    phoneNumber: ").append(toIndentedString(phoneNumber)).append("\n");
    sb.append("    website: ").append(toIndentedString(website)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

